{====================================================================

 This example demonstrates how easy it is to use TWAINToolz in
 an application.

 1. Add a TWApp component to your main form. Fill in the properties
    with the information about your app.
 2. Add a TWImage, or TWDBImage, to your app.
 3. Call TWImage.SelectSource to select the desired TWAIN device
 4. Call TWImage.Acquire to get the image.

 TWDBImage works the same as TWImage but requires a database and a
 graphic blob type field.

 TWImage has all the fuctionality of TImage

 TWAINToolz are copyright 1997, Richard J. Mentecky
 All rights reserved

 ====================================================================}

unit Sdimain;

interface

uses Windows, Classes, Graphics, Forms, Controls, Menus,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls,eztwain, twimage, Twapp;

type
  TSDIAppForm = class(TForm)
    SDIAppMenu: TMainMenu;
    FileMenu: TMenuItem;
    OpenItem: TMenuItem;
    SaveItem: TMenuItem;
    ExitItem: TMenuItem;
    N1: TMenuItem;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    Help1: TMenuItem;
    About1: TMenuItem;
    SpeedPanel: TPanel;
    OpenBtn: TSpeedButton;
    SaveBtn: TSpeedButton;
    ExitBtn: TSpeedButton;
    StatusBar: TStatusBar;
    TWAINApp1: TTWAINApp;
    Scanner1: TMenuItem;
    SelectSource1: TMenuItem;
    Acquire1: TMenuItem;
    N2: TMenuItem;
    ScrollBox1: TScrollBox;
    TWImage1: TTWAINImage;
    procedure ShowHint(Sender: TObject);
    procedure ExitItemClick(Sender: TObject);
    procedure OpenItemClick(Sender: TObject);
    procedure SaveItemClick(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SelectSource1Click(Sender: TObject);
    procedure Acquire1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SDIAppForm: TSDIAppForm;

implementation

uses SysUtils, About;

{$R *.DFM}

procedure TSDIAppForm.ShowHint(Sender: TObject);
begin
  StatusBar.SimpleText := Application.Hint;
end;

procedure TSDIAppForm.ExitItemClick(Sender: TObject);
begin
  Close;
end;

procedure TSDIAppForm.OpenItemClick(Sender: TObject);
begin
   if (OpenDialog.Execute) then
      TWImage1.Picture.LoadFromFile(OpenDialog.Filename);
end;

procedure TSDIAppForm.SaveItemClick(Sender: TObject);
begin
   if (SaveDialog.Execute) then
      TWImage1.Picture.SaveToFile(SaveDialog.Filename);
end;

procedure TSDIAppForm.About1Click(Sender: TObject);
begin
  AboutBox.ShowModal;
end;

procedure TSDIAppForm.FormCreate(Sender: TObject);
begin
  Application.OnHint := ShowHint;
end;

procedure TSDIAppForm.SelectSource1Click(Sender: TObject);
begin
  TWImage1.SelectSource;
end;

procedure TSDIAppForm.Acquire1Click(Sender: TObject);
begin
  TWImage1.Acquire;
end;


end.
 
